summaryrefslogtreecommitdiff
path: root/source3/script/tests/t_listing.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/t_listing.sh')
-rw-r--r--source3/script/tests/t_listing.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/source3/script/tests/t_listing.sh b/source3/script/tests/t_listing.sh
new file mode 100644
index 0000000000..0689807671
--- /dev/null
+++ b/source3/script/tests/t_listing.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+cat >$CONFFILE<<EOF
+[global]
+ netbios name = LOCALHOST
+ workgroup = $DOMAIN
+
+ private dir = $PRIVATEDIR
+ pid directory = $PIDDIR
+ lock directory = $LOCKDIR
+ log file = $LOGDIR/log.%m
+
+ interfaces = lo
+ bind interfaces only = yes
+
+ panic action = $PREFIX_ABS/script/tests/gdb_backtrace /proc/%d/exe %d
+
+[test]
+ path = $TMPDIR
+ read only = no
+EOF
+
+
+smbd $CONFIGURATION || exit $?
+sleep 1
+smbclient $CONFIGURATION -L localhost -N -p 139
+
+killall smbd